> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Get all users



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/users
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/users:
    get:
      tags:
        - Users
      summary: List
      description: Get all users
      operationId: getUsers
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
          description: Page number to retrieve
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
          description: Maximum number of items to return per page
        - in: query
          name: personId
          schema:
            type: string
          description: Filter by person ID
        - in: query
          name: email
          schema:
            type: string
          description: Filter by email
        - in: query
          name: includeStatus
          schema:
            type: string
          description: Toggle including user status in the response
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetUsersResponse'
        '404':
          $ref: '#/components/responses/NotFoundError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetUsersResponse:
      description: get users response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/userEntry'
              meta:
                $ref: '#/components/schemas/meta'
    NotFoundError:
      description: Requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  schemas:
    userEntry:
      allOf:
        - $ref: '#/components/schemas/basicInfo'
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        personId:
          $ref: '#/components/schemas/uuid'
        roleId:
          $ref: '#/components/schemas/uuid'
        status:
          type: string
          example: active
          enum:
            - active
            - invitation_sent
    meta:
      type: object
      description: Meta about the pagination
      properties:
        limit:
          type: number
          example: 1
        currentPage:
          type: number
          example: 1
        skipped:
          type: number
          example: 1
        pages:
          type: number
          example: 1
        itemCount:
          type: number
          example: 1
    NotFoundError:
      description: Not Found
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: resource_not_found
        message: Requested resource could not be found.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    basicInfo:
      type: object
      required:
        - email
        - firstName
        - lastName
      properties:
        firstName:
          type: string
          description: Person's first name
          example: John
        lastName:
          type: string
          description: Person's last name
          example: Doe
        email:
          type: string
          description: Person's email
        phoneNumber:
          $ref: '#/components/schemas/phoneNumber'
        metadata:
          type: object
          additionalProperties: true
          description: Optional metadata you can store as key-value pairs
          example:
            customField1: value1
            customField2: value2
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
    phoneNumber:
      type: object
      description: Person's phone number
      properties:
        countryCode:
          type: string
          example: '1'
        number:
          type: string
          example: '2345678901'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````